API reference

Shares

8 operations, generated from the OpenAPI document.

The view's share links (not revoked), newest first

GET /api/views/{viewId}/shares

Access: view:share on the view (see ACTIONS for the minimum role); signed-in session only (no personal access tokens).

Parameters

NameInTypeRequired
viewIdpathstringyes

Responses

  • 200 Success
    • shares array of object required
      • id string (uuid) required
      • kind "view" | "base" | "form" required
      • viewId string (uuid) | null required
      • baseId string (uuid) required
      • createdBy string (uuid) | null required
      • createdAt string (date-time) required
      • expiresAt string (date-time) | null required
      • expired boolean required
      • hasPassword boolean required
      • allowedDomains array of string required
      • allowCopy boolean required
      • allowDownload boolean required
      • embedOrigins array of string required
      • allowRestrictedEmbed boolean required
  • 401 Not signed in
  • 403 Signed in, but the role is too low
  • 404 No such resource, or no access to it
  • 429 Too many requests: a rate limit was reached (see Retry-After)

Make a read-only share link of the view; its token is answered only here

POST /api/views/{viewId}/shares

Access: view:share on the view (see ACTIONS for the minimum role); signed-in session only (no personal access tokens).

Parameters

NameInTypeRequired
viewIdpathstringyes

Request body

  • expiresAt string (date-time) | null
  • password string | null
  • allowedDomains array of string
  • allowCopy boolean
  • allowDownload boolean
  • embedOrigins array of string
  • allowRestrictedEmbed boolean

Responses

  • 201 Success
    • share object required
      • id string (uuid) required
      • kind "view" | "base" | "form" required
      • viewId string (uuid) | null required
      • baseId string (uuid) required
      • createdBy string (uuid) | null required
      • createdAt string (date-time) required
      • expiresAt string (date-time) | null required
      • expired boolean required
      • hasPassword boolean required
      • allowedDomains array of string required
      • allowCopy boolean required
      • allowDownload boolean required
      • embedOrigins array of string required
      • allowRestrictedEmbed boolean required
    • token string required
  • 401 Not signed in
  • 403 Signed in, but the role is too low
  • 404 No such resource, or no access to it
  • 422 The request failed validation
  • 429 Too many requests: a rate limit was reached (see Retry-After)

Change a view share link's expiry, password, domains or toggles

PATCH /api/views/{viewId}/shares/{shareId}

Access: view:share on the view (see ACTIONS for the minimum role); signed-in session only (no personal access tokens).

Parameters

NameInTypeRequired
viewIdpathstringyes
shareIdpathstring (uuid)yes

Request body

  • expiresAt string (date-time) | null
  • password string | null
  • allowedDomains array of string
  • allowCopy boolean
  • allowDownload boolean
  • embedOrigins array of string
  • allowRestrictedEmbed boolean

Responses

  • 200 Success
    • id string (uuid) required
    • kind "view" | "base" | "form" required
    • viewId string (uuid) | null required
    • baseId string (uuid) required
    • createdBy string (uuid) | null required
    • createdAt string (date-time) required
    • expiresAt string (date-time) | null required
    • expired boolean required
    • hasPassword boolean required
    • allowedDomains array of string required
    • allowCopy boolean required
    • allowDownload boolean required
    • embedOrigins array of string required
    • allowRestrictedEmbed boolean required
  • 401 Not signed in
  • 403 Signed in, but the role is too low
  • 404 No such resource, or no access to it
  • 422 The request failed validation
  • 429 Too many requests: a rate limit was reached (see Retry-After)

Revoke a share link (it answers 404 from then on)

DELETE /api/views/{viewId}/shares/{shareId}

Access: view:share on the view (see ACTIONS for the minimum role); signed-in session only (no personal access tokens).

Parameters

NameInTypeRequired
viewIdpathstringyes
shareIdpathstring (uuid)yes

Responses

  • 204 Success, no content
  • 401 Not signed in
  • 403 Signed in, but the role is too low
  • 404 No such resource, or no access to it
  • 429 Too many requests: a rate limit was reached (see Retry-After)

The base's whole-base share links (not revoked), newest first

GET /api/bases/{baseId}/shares

Access: base:share on the base (see ACTIONS for the minimum role); signed-in session only (no personal access tokens).

Parameters

NameInTypeRequired
baseIdpathstringyes

Responses

  • 200 Success
    • shares array of object required
      • id string (uuid) required
      • kind "view" | "base" | "form" required
      • viewId string (uuid) | null required
      • baseId string (uuid) required
      • createdBy string (uuid) | null required
      • createdAt string (date-time) required
      • expiresAt string (date-time) | null required
      • expired boolean required
      • hasPassword boolean required
      • allowedDomains array of string required
      • allowCopy boolean required
      • allowDownload boolean required
      • embedOrigins array of string required
      • allowRestrictedEmbed boolean required
  • 401 Not signed in
  • 403 Signed in, but the role is too low
  • 404 No such resource, or no access to it
  • 429 Too many requests: a rate limit was reached (see Retry-After)

Make a read-only share link of the whole base; its token is answered only here

POST /api/bases/{baseId}/shares

Access: base:share on the base (see ACTIONS for the minimum role); signed-in session only (no personal access tokens).

Parameters

NameInTypeRequired
baseIdpathstringyes

Request body

  • expiresAt string (date-time) | null
  • password string | null
  • allowedDomains array of string
  • allowCopy boolean
  • allowDownload boolean
  • embedOrigins array of string
  • allowRestrictedEmbed boolean

Responses

  • 201 Success
    • share object required
      • id string (uuid) required
      • kind "view" | "base" | "form" required
      • viewId string (uuid) | null required
      • baseId string (uuid) required
      • createdBy string (uuid) | null required
      • createdAt string (date-time) required
      • expiresAt string (date-time) | null required
      • expired boolean required
      • hasPassword boolean required
      • allowedDomains array of string required
      • allowCopy boolean required
      • allowDownload boolean required
      • embedOrigins array of string required
      • allowRestrictedEmbed boolean required
    • token string required
  • 401 Not signed in
  • 403 Signed in, but the role is too low
  • 404 No such resource, or no access to it
  • 422 The request failed validation
  • 429 Too many requests: a rate limit was reached (see Retry-After)

Change a base share link's expiry, password, domains or toggles

PATCH /api/bases/{baseId}/shares/{shareId}

Access: base:share on the base (see ACTIONS for the minimum role); signed-in session only (no personal access tokens).

Parameters

NameInTypeRequired
baseIdpathstringyes
shareIdpathstring (uuid)yes

Request body

  • expiresAt string (date-time) | null
  • password string | null
  • allowedDomains array of string
  • allowCopy boolean
  • allowDownload boolean
  • embedOrigins array of string
  • allowRestrictedEmbed boolean

Responses

  • 200 Success
    • id string (uuid) required
    • kind "view" | "base" | "form" required
    • viewId string (uuid) | null required
    • baseId string (uuid) required
    • createdBy string (uuid) | null required
    • createdAt string (date-time) required
    • expiresAt string (date-time) | null required
    • expired boolean required
    • hasPassword boolean required
    • allowedDomains array of string required
    • allowCopy boolean required
    • allowDownload boolean required
    • embedOrigins array of string required
    • allowRestrictedEmbed boolean required
  • 401 Not signed in
  • 403 Signed in, but the role is too low
  • 404 No such resource, or no access to it
  • 422 The request failed validation
  • 429 Too many requests: a rate limit was reached (see Retry-After)

Revoke a base share link (it answers 404 from then on)

DELETE /api/bases/{baseId}/shares/{shareId}

Access: base:share on the base (see ACTIONS for the minimum role); signed-in session only (no personal access tokens).

Parameters

NameInTypeRequired
baseIdpathstringyes
shareIdpathstring (uuid)yes

Responses

  • 204 Success, no content
  • 401 Not signed in
  • 403 Signed in, but the role is too low
  • 404 No such resource, or no access to it
  • 429 Too many requests: a rate limit was reached (see Retry-After)